Skip to main content
POST
/
pipeline-activity-types
Create a pipeline activity type
curl --request POST \
  --url https://www.ruddr.io/api/workspace/pipeline-activity-types \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "typeId": "amount_change",
  "description": "<string>",
  "isActive": true
}
'
{
  "id": "e4b2c7a1-6d39-4f85-91e0-f3a8d5c02b64",
  "name": "Follow-Up Call",
  "description": "A scheduled call to follow up on a previous interaction.",
  "readOnly": false,
  "typeId": "call",
  "createdAt": "2025-09-03T10:15:47.293Z",
  "isActive": true
}
A classification for activities that occur during the sales process.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
name
string
required

The name of the pipeline activity type. Max 255 characters.

typeId
enum<string>
required

The type of pipeline activity.

Available options:
amount_change,
call,
client_assignment,
edit,
email,
expected_close_date_change,
file,
meeting,
next_steps_change,
note,
open_date_change,
other,
owner_change,
probability_change,
project_assignment,
revenue_change,
stage_change
description
string | null

A description of the pipeline activity type. Max 5000 characters.

isActive
boolean

Whether the pipeline activity type is active. Defaults to true if not provided.

Response

200

id
string

The unique identifier for the object.

name
string

The name of the pipeline activity type.

description
string | null

A description of the pipeline activity type.

readOnly
boolean

Whether the pipeline activity type is read-only.

typeId
enum<string>

The type of pipeline activity.

Available options:
amount_change,
call,
client_assignment,
edit,
email,
expected_close_date_change,
file,
meeting,
next_steps_change,
note,
open_date_change,
other,
owner_change,
probability_change,
project_assignment,
revenue_change,
stage_change
createdAt
string<date-time>

The timestamp when the object was created.

isActive
boolean

Whether the pipeline activity type is active.